package com.diagbot.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 病历条目
 * </p>
 *
 * @author wangfeng
 * @time: 2024-04-13
 */
public class QcCasesEntryHospital implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 病历id
     */
    private Long casesEntryId;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 终末扣分值
     */
    private BigDecimal score;

    /**
     * 运行扣分值
     */
    private BigDecimal scoreRun;

    /**
     * 条目提示信息
     */
    private String msg;

    /**
     * 终末质控0-未启用 1-启用
     */
    private Integer isUsed;

    /**
     * 运行质控0-未启用 1-启用
     */
    private Integer isUsedRun;
    /**
     * 单项否决（1-单项否决 0-非）
     */
    private Integer isReject;

    /**
     * 备注
     */
    private String remark;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }
    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }
    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }
    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }
    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }
    public Long getCasesEntryId() {
        return casesEntryId;
    }

    public void setCasesEntryId(Long casesEntryId) {
        this.casesEntryId = casesEntryId;
    }
    public Long getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Long hospitalId) {
        this.hospitalId = hospitalId;
    }
    public BigDecimal getScore() {
        return score;
    }

    public void setScore(BigDecimal score) {
        this.score = score;
    }
    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
    public Integer getIsUsed() {
        return isUsed;
    }

    public void setIsUsed(Integer isUsed) {
        this.isUsed = isUsed;
    }
    public Integer getIsReject() {
        return isReject;
    }

    public void setIsReject(Integer isReject) {
        this.isReject = isReject;
    }
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public BigDecimal getScoreRun() {
        return scoreRun;
    }

    public void setScoreRun(BigDecimal scoreRun) {
        this.scoreRun = scoreRun;
    }

    public Integer getIsUsedRun() {
        return isUsedRun;
    }

    public void setIsUsedRun(Integer isUsedRun) {
        this.isUsedRun = isUsedRun;
    }

    @Override
    public String toString() {
        return "QcCasesEntryHospital{" +
                "id=" + id +
                ", isDeleted='" + isDeleted + '\'' +
                ", gmtCreate=" + gmtCreate +
                ", gmtModified=" + gmtModified +
                ", creator='" + creator + '\'' +
                ", modifier='" + modifier + '\'' +
                ", casesEntryId=" + casesEntryId +
                ", hospitalId=" + hospitalId +
                ", score=" + score +
                ", scoreRun=" + scoreRun +
                ", msg='" + msg + '\'' +
                ", isUsed=" + isUsed +
                ", isUsedRun=" + isUsedRun +
                ", isReject=" + isReject +
                ", remark='" + remark + '\'' +
                '}';
    }
}
